import subprocess
import time
import atexit

import bpy


def launch(filepath=None):
    executable = bpy.app.binary_path
    command = [executable]
    if filepath:
        command.append(filepath)

    subprocess.Popen(command)


def restart():
    if bpy.data.is_dirty and bpy.data.filepath:
        bpy.ops.wm.save_mainfile()

    atexit.register(lambda: launch(bpy.data.filepath))
    time.sleep(0.5)
    exit()
