import bpy


def hash_object(object):
    return hash(object.name) % 1000000


def material_items(scene, context):
    items = []
    items.append(("From Mesh", "From Mesh", "", "MATERIAL", 0))
    for m in bpy.data.materials:
        # filter out section box materials
        if m.name.startswith("sectionbox_"):
            continue

        items.append((m.name, m.name, "", bpy.types.UILayout.icon(m), hash_object(m)))

    return items
