import bpy
from bpy_extras import view3d_utils


def location_3d_to_2d(context, location):
    return view3d_utils.location_3d_to_region_2d(
        context.region,
        context.space_data.region_3d,
        location,
    )


def mouse_hit(mouse_co, coos, radius):
    dsts = {}
    for i, co in enumerate(coos):
        if co is None:
            continue
        dsts[i] = (mouse_co - co).length

    if dsts:
        i = min(dsts, key=dsts.get)
        if dsts[i] < radius:
            return i
